import { InjectionToken } from '@angular/core';
import * as i0 from "@angular/core";
export declare class OnRendered {
    private match;
    private router;
    private parentRouteId$;
    private location$;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<OnRendered, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OnRendered, never, never, {}, {}, never, never, true, never>;
}
export declare const MATCH_ID: InjectionToken<string>;
export declare class RouteMatch {
    matchId: import("@angular/core").InputSignal<string>;
    private isDevMode;
    private router;
    private vcr;
    private injector;
    private environmentInjector;
    matchId$: import("rxjs").Observable<string>;
    private resetKey$;
    private matches$;
    private routeId$;
    private route$;
    private pendingComponent$;
    private errorComponent$;
    private onCatch$;
    private matchIndex$;
    private matchState$;
    private matchRoute$;
    private match$;
    private matchLoad$;
    private run$;
    private cmp?;
    private cmpRef?;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<RouteMatch, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RouteMatch, "route-match,RouteMatch", never, { "matchId": { "alias": "matchId"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof OnRendered; inputs: {}; outputs: {}; }]>;
}
export declare class Outlet {
    private matchId;
    private router;
    private vcr;
    private isDevMode;
    protected readonly defaultPendingComponent: import("tanstack-angular-router-experimental").RouteComponent | undefined;
    private matches$;
    private routeId$;
    private route$;
    private parentGlobalNotFound$;
    private childMatchId$;
    private matchLoad$;
    private renderedId?;
    private cmpRef?;
    private run$;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<Outlet, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Outlet, "outlet,Outlet", never, {}, {}, never, never, true, never>;
}
