import { Injector, Signal } from '@angular/core';
import { AnyRouter, RegisteredRouter, UseRouteContextBaseOptions, UseRouteContextOptions, UseRouteContextResult } from '@tanstack/router-core';
import { Observable } from 'rxjs';
export type RouteContextRoute<TObservable extends boolean, out TFrom> = <TRouter extends AnyRouter = RegisteredRouter, TSelected = unknown>(opts?: UseRouteContextBaseOptions<TRouter, TFrom, true, TSelected> & {
    injector?: Injector;
}) => TObservable extends true ? Observable<UseRouteContextResult<TRouter, TFrom, true, TSelected>> : Signal<UseRouteContextResult<TRouter, TFrom, true, TSelected>>;
export declare function routeContext$<TRouter extends AnyRouter = RegisteredRouter, const TFrom extends string | undefined = undefined, TStrict extends boolean = true, TSelected = unknown>({ injector, ...opts }: UseRouteContextOptions<TRouter, TFrom, TStrict, TSelected> & {
    injector?: Injector;
}): Observable<UseRouteContextResult<TRouter, TFrom, TStrict, TSelected>>;
export declare function routeContext<TRouter extends AnyRouter = RegisteredRouter, const TFrom extends string | undefined = undefined, TStrict extends boolean = true, TSelected = unknown>({ injector, ...opts }: UseRouteContextOptions<TRouter, TFrom, TStrict, TSelected> & {
    injector?: Injector;
}): Signal<UseRouteContextResult<TRouter, TFrom, TStrict, TSelected>>;
