import { type AnyRouter, type RegisteredRouter, type RouterOptions } from '@tanstack/router-core';
import * as i0 from "@angular/core";
import * as i1 from "./matches";
export type RouterRootOptions<TRouter extends AnyRouter = RegisteredRouter, TDehydrated extends Record<string, any> = Record<string, any>> = Omit<RouterOptions<TRouter['routeTree'], NonNullable<TRouter['options']['trailingSlash']>, false, TRouter['history'], TDehydrated>, 'context'> & {
    router: TRouter;
    context?: Partial<RouterOptions<TRouter['routeTree'], NonNullable<TRouter['options']['trailingSlash']>, false, TRouter['history'], TDehydrated>['context']>;
};
export declare class RouterRoot<TRouter extends AnyRouter = RegisteredRouter, TDehydrated extends Record<string, any> = Record<string, any>> {
    router: import("@angular/core").InputSignal<TRouter>;
    options: import("@angular/core").InputSignal<Omit<RouterRootOptions<TRouter, TDehydrated>, "router">>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<RouterRoot<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RouterRoot<any, any>, "router-root,RouterRoot", never, { "router": { "alias": "router"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.Matches; inputs: {}; outputs: {}; }]>;
}
